#' @details
#'  \tabular{ll}{
#'   **Package:** \tab aion \cr
#'   **Type:** \tab Package \cr
#'   **Version:** \tab 1.4.0 \cr
#'   **License:** \tab GPL-3 \cr
#'   **Zenodo:** \tab \doi{10.5281/zenodo.8032278} \cr
#'  }
#'
#' @section Package options:
#'  \pkg{aion} uses the following [options()] to configure behaviour:
#'  * `aion.calendar`: a function that returns a [`TimeScale-class`] object
#'    specifying the default calendar (see [get_calendar()]).
#'
#' @author
#'  **Full list of authors and contributors** (alphabetic order):
#'
#'  \tabular{ll}{
#'   Nicolas Frerebeau \tab *Université Bordeaux Montaigne, France* \cr
#'   Brice Lebrun \tab *Université Bordeaux Montaigne, France* \cr
#'   Joe Roe \tab *Universität Bern, Switzerland* \cr
#'  }
#'
#'  **Package maintainer**
#'
#'  Nicolas Frerebeau\cr
#'  \email{nicolas.frerebeau@@u-bordeaux-montaigne.fr}
#'
#'  Archéosciences Bordeaux (UMR 6034)\cr
#'  Maison de l'Archéologie\cr
#'  Université Bordeaux Montaigne\cr
#'  F-33607 Pessac cedex\cr
#'  France
#' @name aion-package
#' @aliases aion
#' @docType package
#' @keywords internal
"_PACKAGE"

#' @import arkhe
#' @import methods
#' @importFrom stats end frequency start time window
NULL
